## Echo Server
BEGIN {
    val inet = ARGV[1]
    var line = ""
    while (0 < (inet |& getline line)) {
        if ("" == line) break #、切断要求(Disconnect request)
        print line
        print "#", line |& inet
    }
    close(inet)
}